<?xml version="1.0" encoding="UTF-8" ?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:xrl="http://netkernel.org/xrl" xmlns:nk="http://netkernel.org">
  <xsl:output method="xml"/>
	
	<xsl:key name="rows-by-id" match="row" use="ID" />

<!--
	Use Muenchian Method to show events
-->
	
	<xsl:template match="/resultset">
		<div>
		<h3>History</h3>
		<table cellpadding="1" cellspacing="0">
			<xsl:for-each select="row[ count( . | key('rows-by-id', ID)[1])  = 1]">
				<tr>
			  		<td valign="top">
			  		<xsl:if test="position()=1">
			  		<input type="button" value="rollback" onclick="document.location='rollback'" class="btn"/>
			  		</xsl:if>
			  		</td>
			  		<td><xsl:value-of select="EVENTTIME"/></td>
			  		<td>
			  			<table cellpadding="1" cellspacing="0">
			  			<xsl:for-each select="key('rows-by-id', ID)">
						<tr>
							<td width="50">
					  			<xsl:choose>
					  				<xsl:when test="TYPE=1">
					  				installed
					  				</xsl:when>
					  				<xsl:otherwise>
					  				removed
					  				</xsl:otherwise>
					  			</xsl:choose>
					  		</td>
					  		<td><xsl:value-of select="NAME"/>-<xsl:value-of select="VERSION"/></td>			  			
				  		</tr>
				  		</xsl:for-each>
				  		</table>
				  	</td>
			  </tr>
			</xsl:for-each>
		</table>
		</div>
	</xsl:template>

  </xsl:stylesheet> 
