//Max package versions not installed union all installed packages
SELECT * FROM
(
SELECT
	PACKAGES.ID,
	PACKAGES.RUNLEVEL,
	PACKAGES.NAME,
	VERSION_UNION.INSTALLED,
	VERSION_UNION.HASSECURITY,
	VERSION_UNION.HASUPDATE,
	VERSION_UNION.ID AS VERSIONID,
	VERSION_UNION.VERSION[0] || '.' || VERSION_UNION.VERSION[1] || '.' || VERSION_UNION.VERSION[2] as VP
	FROM
	PACKAGES,
	VERSION_UNION
	WHERE
	PACKAGES.ID= VERSION_UNION.PACKAGEID
	AND
	<#assign match=filter.getFirstValue("/filter/match")>
	<#if !(match=='no-match') >
	PACKAGES.NAME LIKE '%${match}%'
	AND
	</#if>
	<#if filter.getFirstValue("/filter/showInstalled")=="true">
	VERSION_UNION.INSTALLED=TRUE
	AND
	</#if>
	<#if filter.getFirstValue("/filter/showInstalled")=="false">
	PACKAGES.ID=0
	AND
	</#if>
	PACKAGES.ID>=0
)
UNION
(
SELECT
	PACKAGES.ID,
	PACKAGES.RUNLEVEL,
	PACKAGES.NAME,
	MAX_VERSIONS.INSTALLED,
	MAX_VERSIONS.HASSECURITY,
	MAX_VERSIONS.HASUPDATE,
	MAX_VERSIONS.ID AS VERSIONID,
	MAX_VERSIONS.VERSION[0] || '.' || MAX_VERSIONS.VERSION[1] || '.' || MAX_VERSIONS.VERSION[2] as VP
	FROM
	PACKAGES,
	MAX_VERSIONS
	WHERE
	PACKAGES.ID= MAX_VERSIONS.PACKAGEID
	AND
	<#assign match=filter.getFirstValue("/filter/match")>
	<#if !(match=='no-match') >
	PACKAGES.NAME LIKE '%${match}%'
	AND
	</#if>
	<#if filter.getFirstValue("/filter/showNotInstalled")=="true">
	MAX_VERSIONS.INSTALLED=FALSE
	AND
	PACKAGES.ID NOT IN (SELECT PACKAGEID FROM PACKAGE_VERSIONS WHERE INSTALLED='true' )
	AND
	</#if>
	<#if filter.getFirstValue("/filter/showNotInstalled")=="false">
	PACKAGES.ID=0
	AND
	</#if>
	PACKAGES.ID>=0
	
)	
ORDER BY NAME ASC
	
	
	
	
	
	
	
	
;